#!/bin/bash

device_file_name=device_cert.pem
dest_path=app/device/cert/"$device_file_name"

# cert path since 2023/03 (v2.1.1)
current_path=/var/app/volumes/gw_container/device/cert/"$device_file_name"
# cert path v2.1.0
old_path=/var/app/rollback/volumes/gw_container/cert/"$device_file_name"

mkdir -p app/device/cert
if ! scp -F config/ssh_config Armadillo:"$current_path" "$dest_path"; then
	scp -F config/ssh_config Armadillo:"$old_path" "$dest_path"
fi
